import 'package:origamicore/models/messageModel.dart';
import 'package:origamicore/models/routeModule.dart';
import 'package:origamicore/routing/routeResponse.dart';
import 'package:origamicore/routing/router.dart';

class MessagingRoute extends RouteMudule
{
  MessageModel _model=MessageModel();
  String service='';

  Future<RouteResponse> isNewMessage( dynamic session) async
  {
    _model=MessageModel(internalData: {},data: {},session:session );
    service='isNewMessage';
    var dt = await run();   
    return dt;

  }
  Future<RouteResponse> getSystemMessages( dynamic session) async
  {
    _model=MessageModel(internalData: {},data: {},session:session );
    service='getSystemMessages';
    var dt = await run();   
    return dt;
  }
  @override
  Future<RouteResponse> run() {  
    return Router.runExternal('messaging', service, _model); 
  }

}